## com.lowagie.text.pdf.codec.postscript
Class PAEngine

    java.lang.Object
      com.lowagie.text.pdf.codec.postscript.PAEngine

    public class PAEngine

extends java.lang.Object

Field Summary
`protected PAContext` `context`
`protected int` `innerProcedures`
`protected int` `mode`
`static int` `MODE_ARRAY`
`static int` `MODE_PROCEDURE`
`static int` `MODE_STACK`
`protected java.util.Stack` `procedure`

Constructor Summary
`PAEngine(PAContext context)`

Method Summary
`void` `bindProcedure(PAToken patoken)`
`void` `endProcedure()`
`java.lang.String` `litMode()`
`void` `process(java.lang.Object token)`
`void` `startProcedure()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_STACK

    public static final int MODE_STACK

See Also:
  Constant Field Values

### MODE_PROCEDURE

    public static final int MODE_PROCEDURE

See Also:
  Constant Field Values

### MODE_ARRAY

    public static final int MODE_ARRAY

See Also:
  Constant Field Values

### context

    protected PAContext context

### mode

    protected int mode

### procedure

    protected java.util.Stack procedure

### innerProcedures

    protected int innerProcedures

Constructor Detail

### PAEngine

    public PAEngine(PAContext context)

Method Detail

### startProcedure

    public void startProcedure()
                        throws PainterException

  Throws:
    `PainterException`

### endProcedure

    public void endProcedure()
                      throws PainterException

  Throws:
    `PainterException`

### bindProcedure

    public void bindProcedure(PAToken patoken)

### process

    public void process(java.lang.Object token)
                 throws PainterException

  Throws:
    `PainterException`

### litMode

    public java.lang.String litMode()